﻿namespace EDJournal {
    public class CommitCrimeEntry : Entry {
        private string crimetype = "assault";
        private string faction;
        private string victim;
        private int bounty = 0;

        public string CrimeType => crimetype;
        public string Faction => faction;
        public string Victim => victim;
        public int Bounty => bounty;

        protected override void Initialise() {
            crimetype = JSON.Value<string>("CrimeType") ?? "assault";
            faction = JSON.Value<string>("Faction") ?? "";
            victim = JSON.Value<string>("Victim") ?? "";
            bounty = JSON.Value<int?>("Bounty") ?? 0;
        }
    }
}
